module PhcdevworksScripts
  class Script::Version < ApplicationRecord

    # Clean URL Initialize
    extend FriendlyId

    # Paper Trail Initialize
    has_paper_trail :class_name => 'PhcdevworksScripts::ScriptVersionVersions'

    # Relationships
    has_many :listings, class_name: 'PhcdevworksScripts::Script::Listing', :through => :urls
    has_many :urls, class_name: 'PhcdevworksScripts::Script::Url'

    # Form Fields Validation
    validates :script_version_number,
      presence: true

    # Clean URL Define
    friendly_id :script_version_nice_urls, use: [:slugged, :finders]

    def script_version_nice_urls
      [:script_version_number]
    end

  end
end
